Package org.apache.cxf.annotations

# Annotation Interface EndpointProperty

@Documented @Retention(RUNTIME) @Target(TYPE) @Inherited public @interface EndpointProperty
Specifies a property to record for the endpoint

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `key`
  The key to record the property

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `Class<?>`
  `beanClass`
  The class for the property.
  `String`
  `ref`
  Reference to a named bean that is looked up from the configuration associated with the application.
  `String[]`
  `value`
  The value(s) of the property

- ## Element Details

  - ### key

    String key
    The key to record the property
    Returns:
      the key for the property

- - ### value

    String[] value
    The value(s) of the property
    Returns:
      the value of the property
    Default:
      {}

  - ### ref

    String ref
    Reference to a named bean that is looked up from the configuration associated with the application.
    Default:
      ""

  - ### beanClass

    Class<?> beanClass
    The class for the property. If "ref" is specified, this class is used to cast the looked up reference to make sure the Object is of the correct type. If ref is not set and value is not set, this class is used to create a bean. The class must have either a default constructor, a constructor that takes an org.apache.cxf.endpoint.Endpoint, or a constructor that takes a org.apache.cxf.endpoint.Endpoint and an org.apache.cxf.Bus.
    Default:
      java.lang.Object.class